package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpRentalHouse {
    private Integer id;

    private Integer communityId;

    private String houseName;

    private String rentalPrice;

    private String area;

    private String rentalType;

    private String houseType;

    private String houseStatus;

    private String houseLevel;

    private String houseLabel;

    private Integer sort;

    private String houseTel;

    private String communityAddress;

    private String communityLongitude;

    private String communityLatitude;

    private String bed;

    private String mattress;

    private String wardrobe;

    private String sofa;

    private String washingMachine;

    private String airConditioning;

    private String fridge;

    private String tv;

    private String smartLock;

    private String waterHeater;

    private String desk;

    private String chair;

    private String wifi;

    private String kitchen;

    private String bathroom;

    private String balcony;

    private Date createDate;

    private Integer createUser;

    private Date updateDate;

    private Integer updateUser;

    private String houseIntroduction;

    /**
     * 便签数组
     * @return
     */
    private List<String> houseLabelArr;

    /**
     * banner图
     * @return
     */
    private  String homeImg;

    public String getHomeImg() {
        return homeImg;
    }

    public void setHomeImg(String homeImg) {
        this.homeImg = homeImg;
    }

    public List<String> getHouseLabelArr() {
        return houseLabelArr;
    }

    public void setHouseLabelArr(List<String> houseLabelArr) {
        this.houseLabelArr = houseLabelArr;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName == null ? null : houseName.trim();
    }

    public String getRentalPrice() {
        return rentalPrice;
    }

    public void setRentalPrice(String rentalPrice) {
        this.rentalPrice = rentalPrice == null ? null : rentalPrice.trim();
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area == null ? null : area.trim();
    }

    public String getRentalType() {
        return rentalType;
    }

    public void setRentalType(String rentalType) {
        this.rentalType = rentalType == null ? null : rentalType.trim();
    }

    public String getHouseType() {
        return houseType;
    }

    public void setHouseType(String houseType) {
        this.houseType = houseType == null ? null : houseType.trim();
    }

    public String getHouseStatus() {
        return houseStatus;
    }

    public void setHouseStatus(String houseStatus) {
        this.houseStatus = houseStatus == null ? null : houseStatus.trim();
    }

    public String getHouseLevel() {
        return houseLevel;
    }

    public void setHouseLevel(String houseLevel) {
        this.houseLevel = houseLevel == null ? null : houseLevel.trim();
    }

    public String getHouseLabel() {
        return houseLabel;
    }

    public void setHouseLabel(String houseLabel) {
        this.houseLabel = houseLabel == null ? null : houseLabel.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getHouseTel() {
        return houseTel;
    }

    public void setHouseTel(String houseTel) {
        this.houseTel = houseTel == null ? null : houseTel.trim();
    }

    public String getCommunityAddress() {
        return communityAddress;
    }

    public void setCommunityAddress(String communityAddress) {
        this.communityAddress = communityAddress == null ? null : communityAddress.trim();
    }

    public String getCommunityLongitude() {
        return communityLongitude;
    }

    public void setCommunityLongitude(String communityLongitude) {
        this.communityLongitude = communityLongitude == null ? null : communityLongitude.trim();
    }

    public String getCommunityLatitude() {
        return communityLatitude;
    }

    public void setCommunityLatitude(String communityLatitude) {
        this.communityLatitude = communityLatitude == null ? null : communityLatitude.trim();
    }

    public String getBed() {
        return bed;
    }

    public void setBed(String bed) {
        this.bed = bed == null ? null : bed.trim();
    }

    public String getMattress() {
        return mattress;
    }

    public void setMattress(String mattress) {
        this.mattress = mattress == null ? null : mattress.trim();
    }

    public String getWardrobe() {
        return wardrobe;
    }

    public void setWardrobe(String wardrobe) {
        this.wardrobe = wardrobe == null ? null : wardrobe.trim();
    }

    public String getSofa() {
        return sofa;
    }

    public void setSofa(String sofa) {
        this.sofa = sofa == null ? null : sofa.trim();
    }

    public String getWashingMachine() {
        return washingMachine;
    }

    public void setWashingMachine(String washingMachine) {
        this.washingMachine = washingMachine == null ? null : washingMachine.trim();
    }

    public String getAirConditioning() {
        return airConditioning;
    }

    public void setAirConditioning(String airConditioning) {
        this.airConditioning = airConditioning == null ? null : airConditioning.trim();
    }

    public String getFridge() {
        return fridge;
    }

    public void setFridge(String fridge) {
        this.fridge = fridge == null ? null : fridge.trim();
    }

    public String getTv() {
        return tv;
    }

    public void setTv(String tv) {
        this.tv = tv == null ? null : tv.trim();
    }

    public String getSmartLock() {
        return smartLock;
    }

    public void setSmartLock(String smartLock) {
        this.smartLock = smartLock == null ? null : smartLock.trim();
    }

    public String getWaterHeater() {
        return waterHeater;
    }

    public void setWaterHeater(String waterHeater) {
        this.waterHeater = waterHeater == null ? null : waterHeater.trim();
    }

    public String getDesk() {
        return desk;
    }

    public void setDesk(String desk) {
        this.desk = desk == null ? null : desk.trim();
    }

    public String getChair() {
        return chair;
    }

    public void setChair(String chair) {
        this.chair = chair == null ? null : chair.trim();
    }

    public String getWifi() {
        return wifi;
    }

    public void setWifi(String wifi) {
        this.wifi = wifi == null ? null : wifi.trim();
    }

    public String getKitchen() {
        return kitchen;
    }

    public void setKitchen(String kitchen) {
        this.kitchen = kitchen == null ? null : kitchen.trim();
    }

    public String getBathroom() {
        return bathroom;
    }

    public void setBathroom(String bathroom) {
        this.bathroom = bathroom == null ? null : bathroom.trim();
    }

    public String getBalcony() {
        return balcony;
    }

    public void setBalcony(String balcony) {
        this.balcony = balcony == null ? null : balcony.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public String getHouseIntroduction() {
        return houseIntroduction;
    }

    public void setHouseIntroduction(String houseIntroduction) {
        this.houseIntroduction = houseIntroduction == null ? null : houseIntroduction.trim();
    }
}